Bug 1011399 - ipa-client-install could be more helpful when it fails because SRV records don't use FQDN
ipa-client-install could be more helpful when it fails because SRV records do...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
22
All All
unspecified Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 04:12 EDT by Adam Williamson
Modified: 2016-07-19 15:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa-client-install debug log (7.83 KB, text/plain)
2013-09-24 07:59 EDT, Martin Kosek
no flags Details

  None (edit)
Description Adam Williamson 2013-09-24 04:12:21 EDT
After dealing with https://bugzilla.redhat.com/show_bug.cgi?id=1011396 , I was finding my ipa-client-install runs failed with this error:

* NSS error -12276 (SSL_ERROR_BAD_CERT_DOMAIN)
* Unable to communicate securely with peer: requested domain name does not match the server's certificate.
* Closing connection 0
libcurl failed to execute the HTTP POST transaction, explaining:  Unable to communicate securely with peer: requested domain name does not match the server's certificate.

full log at http://fpaste.org/41762/87921/ , till it expires. It turns out that the problem was in my DNS SRV records. I'm using external DNS (I couldn't come up with a configuration where the freeipa box was a DNS server that really worked great for my weird case) so I had to hand-create the correct records based on the example BIND zone file the ipa-server-install gave me, and what I did wrong was to make the target just 'id' rather than 'id.happyassassin.net' (many thanks to ab on IRC for figuring this out). Docs I found on the SRV format indicated that just the hostname rather than the FQDN was valid, but apparently for freeipa purposes it has to be the FQDN. Correcting the SRV records to point to 'id.happyassassin.net' made it happy.

ab and mkosek think ipa-client-install might be able to catch this issue and print a more helpful error, so I'm filing this bug report to suggest that.
Comment 1 Martin Kosek 2013-09-24 07:59:38 EDT
Created attachment 802197 [details]
ipa-client-install debug log

Copied from the fpaste in Comment 0.
Comment 2 Martin Kosek 2013-09-24 08:01:35 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3945
Comment 3 Fedora End Of Life 2015-01-09 17:18:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Adam Williamson 2015-01-09 18:09:35 EST
Doesn't look like it's been addressed at all, so bumping.
Comment 5 Jaroslav Reznik 2015-03-03 11:55:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora End Of Life 2016-07-19 15:27:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.